Bug 2639 - The MSGBUFSIZE definition collides with a definition of OpenBSD
Summary: The MSGBUFSIZE definition collides with a definition of OpenBSD
Status: RESOLVED FIXED
Alias: None
Product: Claws Mail
Classification: Unclassified
Component: SMTP (show other bugs)
Version: 3.8.1
Hardware: PC OpenBSD
: P3 trivial
Assignee: users
URL:
Depends on:
Blocks:
 
Reported: 2012-04-03 10:29 CEST by madroach+claws
Modified: 2012-10-10 10:29 CEST (History)
0 users

See Also:


Attachments
rename MSGBUFSIZE (3.81 KB, patch)
2012-04-03 10:29 CEST, madroach+claws
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description madroach+claws 2012-04-03 10:29:16 CEST
Created attachment 1099 [details]
rename MSGBUFSIZE

attached is a patch that renames MSGBUFSIZE. This would make maintaining the OpenBSD port easier.
Comment 1 wwp 2012-04-03 10:34:31 CEST
BTW, what's MSGBUFSIZE's purpose on OpenBSD? And what is its value?
Comment 2 madroach+claws 2012-06-27 19:10:39 CEST
options MSGBUFSIZE=integer
     This option sets the size of the kernel message buffer.  This buffer
     holds the kernel output of printf() when not (yet) read by syslogd(8).
     This is particularly useful when the system has crashed and you wish to
     lookup the kernel output from just before the crash.  Also, since the
     autoconfig output becomes more and more verbose, it sometimes happens
     that the message buffer overflows before syslogd(8) was able to read it.
     Note that not all systems are capable of obtaining a variable sized mes-
     sage buffer.  There are also some systems on which memory contents are
     not preserved across reboots.l
Comment 3 users 2012-10-10 10:13:34 CEST
Changes related to this bug have been committed.
Please check latest CVS and update the bug accordingly.
You can also get the patch from:
http://www.claws-mail.org/tracker/

2012-10-10 [colin]	3.8.1cvs90

	* src/inc.c
	* src/mbox.c
	* src/common/smtp.c
	* src/common/smtp.h
		Fix bug #2639, "The MSGBUFSIZE definition collides with a definition of OpenBSD"
		Patch by "madroach"